Skip to content

Transfer Assembly Orders to Delivery ​

http
POST /api/marketplace/v3/dbw/orders/status/deliver

Base URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Assembly Orders · Specification doc ↗

The method transfers assembly orders with the confirm status to the complete status — in delivery.

Check the method response. Assembly orders that have been successfully transferred to delivery will be returned with the flag "isError": false. For all other assembly orders, see the error reason in the errors array.

Request limit per one seller account for DBW methods:

  • for getting and updating contact lists
  • for getting and deleting label identifiers
  • assembly orders
PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests

Request body ​

application/json — schema api.OrdersRequestV2, required

  • ordersIds integer<int64>[] (required) — List of assembly order IDs

Responses ​

CodeDescriptionSchema
200Successapi.StatusSetResponses
400Bad requestError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
429Too many requestsobject

Structure 200:

  • requestId string — Unique ID of the request with errors.
  • results api.StatusSetResponse[]
    • errors api.BatchErrorResponse[] — Error details
      • code integer<int64> — Error code: - 404 - 409
      • detail string — - NotFound — assembly order is not found - StatusMismatch — operation is not possible for this assembly order status - ImeiIsNotFilled — IMEI is not filled - MetaValidationFail — errors label identifier validation
      • metaDetails object[] — Label identifiers validation error details
        • key string — Label identifier
        • value string — Label identifier value
        • decision string — Статус проверки: - sgtin - sgtinInvalidFormat — Invalid format - sgtinNotFound — Label identifier not found in Chestny ZNAK - sgtinEmitted — Label identifier has been issued - sgtinApplied — Putting into circulation not completed - sgtinWrittenOff — Written off - sgtinRetired — Retired - sgtinWithdrawn — Withdrawn - sgtinDisaggregation — Disaggregation - sgtinDisaggregated — Disaggregated - sgtinAppliedNotPaid — Not paid - pending — Label identifier for inspection
    • isError boolean — Are there any errors
    • orderId integer<int64> — Assembly order ID with successfully set data

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))

result = api.post_v3_dbw_orders_status_deliver(api_orders_request_v2=...)
print(result)
ts
import {
  Configuration,
  OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);

const { data } = await api.postV3DbwOrdersStatusDeliver(apiOrdersRequestV2);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)

cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)

result, _, err := client.OrdersDbwAPI.PostV3DbwOrdersStatusDeliver(context.Background()).ApiOrdersRequestV2(apiOrdersRequestV2).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);

System.out.println(api.postV3DbwOrdersStatusDeliver(apiOrdersRequestV2));
php
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);

print_r($api->postV3DbwOrdersStatusDeliver($api_orders_request_v2));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);

Сообщить(Клиент.PostV3DbwOrdersStatusDeliver(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);

Console.WriteLine(api.PostV3DbwOrdersStatusDeliver(apiOrdersRequestV2));
rust
use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_dbw_api::post_v3_dbw_orders_status_deliver(&cfg, api_period_orders_request_v2).await;
    println!("{:#?}", result);
}